## org.junit.runner
Annotation Type OrderWith

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    @Inherited
    public @interface OrderWith

When a test class is annotated with `@OrderWith` or extends a class annotated with `@OrderWith`, JUnit will order the tests in the test class (and child test classes, if any) using the ordering defined by the `Ordering` class.

Since:
  4.13

Required Element Summary
`Class<? extends Ordering.Factory>` `value` Gets a class that extends `Ordering`.

Element Detail

### value

    public abstract Class<? extends Ordering.Factory> value

  Gets a class that extends `Ordering`. The class must have a public no-arg constructor.

Copyright © 2002–2020 JUnit. All rights reserved.